/* -------------------------------- pub.css ---------------------------- */

@import url(http://fonts.googleapis.com/css?family=Source+Serif+Pro:400,700);
@import url(http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700);
@import url(http://fonts.googleapis.com/css?family=Source+Code+Pro:600);

@page {
  size: 8.5in 11in;
  margin: 0.75in 0.75in 1in 0.75in;
}
html {
  font-size: 100%;
}
body {
  font-family: 'Source Serif Pro', serif;
  text-align: justify;
  hyphens: auto;
  margin: auto;
  max-width: 900px;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  break-after: avoid;
  font-family: 'Source Sans Pro', sans-serif;
  font-weight: bold;
  hyphens: none;
}
p {
  margin: 0 0 0.5em;
  text-indent: 0;
}
small {
  font-size: 0.7777777777777778em;
}
code {
  font-family: 'Source Code Pro', monospace;
  font-size: 0.88em;
}
table {
  font-size: 90%;
  width: 100%;
  margin: 1.667em 0 1em;
  border-collapse: collapse;
}
th,
td {
  padding: 0.333em;
  border: 0.5px solid #000000;
  text-align: center;
}
@page {
}
h1:before,
h2:before,
h3:before,
h4:before,
h5:before,
h6:before {
  margin-right: 0 !important;
  content: "" !important;
}
h1,
h2 {
  margin-top: 1.3em;
  margin-bottom: 0.3em;
}
h1 + h2,
h1 + * > h2:first-child {
  margin-top: 0;
}
h3,
h4 {
  margin-top: 1.3em;
  margin-bottom: 0.2em;
}
header {
  column-span: all;
  margin-bottom: 4em;
  font-family: Helvetica, sans-serif;
}
header h2 {
  margin: 2em 0;
  font-size: 1.333em;
  font-weight: normal;
  text-align: center;
}

/* -------------------------------- theme.css ---------------------------- */

video { 
  margin-top: 20px;
  margin-bottom: 20px;
  margin-right: 0px;
  margin-left: 0px;
}

img { 
  margin-top: 20px;
  margin-bottom: 20px;
  margin-right: 0px;
  margin-left: 0px;
}

@media screen {

  html {
    font-size: 18px;
  }

  body {
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -moz-font-feature-settings: "liga" on;
    text-align: left;
  }

  header,
  article {
    box-sizing: border-box;
    max-width: 700px;
    margin: 3em auto 6em;
  }

  p {
    line-height: 1.3;
  }

  a {
    color: rgba(0,0,0,0.8);
  }

  table {
    margin: 2em auto 3em;
  }

  th, td {
    border-width: 1px;
  }

  header h2 {
    margin: 0 0 2em;
  }

  code a {
    text-decoration: underline;
  }

  @media (max-width: 720px) {
    html {
      font-size: 15px;
    }

    header,
    article {
      margin: 0 auto;
      width: 100%;
      padding: 2em;
    }
  }
}
